Bug 173711 - Request for a binary wrapper for rpm
Request for a binary wrapper for rpm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-19 01:22 EST by David Fyfe
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-20 23:00:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Fyfe 2005-11-19 01:22:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
I would like to request a feature to be added to rpm so that you can give it a binary package to install and all it's details would be stored in the rpm database and could be uninstalled easily. I think this is a big problem as many binary installers do not provide uninstall ability and you can not be sure where all files end up.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
N/A

Actual Results:  N/A

Additional info:
Comment 1 Jeff Johnson 2005-11-20 21:54:20 EST
Um, have you ever tried rpm --erase? It's rather easy, works just like you describe.
Comment 2 David Fyfe 2005-11-20 22:32:27 EST
Sorry I was not clearer in my post, what I mean is to install a binary package
eg JDK-blah.bin with rpm so rpm can keep track everything that is installed and
be uninstalled with rpm, it is not the uninstalling using rpm that the feature
request is for, but for the installing.

David Fyfe
Comment 3 John Mahowald 2005-11-20 23:00:48 EST
That's a shell script archive. Extract it and get something rpm can use.

Note You need to log in before you can comment on or make changes to this bug.